Skip to main content
GET
/
api
/
v1
/
settings
/
email-provider
Get
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.TenantEmailProvider.Get(ctx)
    if err != nil {
        log.Fatal(err)
    }
    if res.GetTenantEmailProviderResponse != nil {
        // handle response
    }
}
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.tenantEmailProvider.get();

  console.log(result);
}

run();
curl --request GET \
  --url https://{tenantDomain}.conductor.one/api/v1/settings/email-provider \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}.conductor.one/api/v1/settings/email-provider"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}.conductor.one/api/v1/settings/email-provider', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "emailProvider": {
    "awsSes": {
      "configurationSetName": "<string>",
      "region": "<string>",
      "roleArn": "<string>"
    },
    "c1Builtin": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "fromAddress": "<string>",
    "fromName": "<string>",
    "googleWorkspace": {
      "delegatedUser": "<string>",
      "serviceAccountJson": "<string>"
    },
    "microsoftGraph": {
      "azureTenantId": "<string>",
      "clientId": "<string>",
      "clientSecret": "<string>"
    },
    "replyToAddress": "<string>",
    "sendgrid": {
      "apiKey": "<string>"
    },
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Response

200 - application/json

Successful response

The GetTenantEmailProviderResponse message.

emailProvider
Tenant Email Provider · object | null

TenantEmailProvider is the API representation of the tenant's email provider.

This message contains a oneof named provider. Only a single field of the following list may be set at a time:

  • c1Builtin
  • awsSes
  • sendgrid
  • microsoftGraph
  • googleWorkspace